
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef DTM_PRINTXML_H
#define DTM_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/velodynePrintXML.h"

#include "server/stereopixelPrintXML.h"

#include "server/genBasicPrintXML.h"

#include "server/pomPrintXML.h"


#include "dtmPosterLib.h"

/* Prototypes */
extern void printXML_struct_DTM_P3DPOSTER_POSTER_STR ( FILE *out, char *name,
     struct DTM_P3DPOSTER_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DTM_STR ( FILE *out, char *name,
     struct DTM_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DtmDisplayParams ( FILE *out, char *name,
     struct DtmDisplayParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DtmP3dPosterParams ( FILE *out, char *name,
     struct DtmP3dPosterParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DtmFusionParams ( FILE *out, char *name,
     struct DtmFusionParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DtmStrategy ( FILE *out, char *name,
     struct DtmStrategy *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_DtmStrategyKind ( FILE *out, char *name,
     enum DtmStrategyKind *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_DtmReferenceFrame ( FILE *out, char *name,
     enum DtmReferenceFrame *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_DtmRefinement ( FILE *out, char *name,
     enum DtmRefinement *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_DtmVideo ( FILE *out, char *name,
     enum DtmVideo *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DtmGeodesicOrigin ( FILE *out, char *name,
     struct DtmGeodesicOrigin *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DtmSaveParams ( FILE *out, char *name,
     struct DtmSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_DtmFileFormat ( FILE *out, char *name,
     enum DtmFileFormat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DtmConnectParams ( FILE *out, char *name,
     struct DtmConnectParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DtmResetParams ( FILE *out, char *name,
     struct DtmResetParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DtmInitParams ( FILE *out, char *name,
     struct DtmInitParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_DtmDestination ( FILE *out, char *name,
     enum DtmDestination *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_DtmSlidingMode ( FILE *out, char *name,
     enum DtmSlidingMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DTM_LABEL_POSTER ( FILE *out, char *name,
     struct DTM_LABEL_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_demCellLabel ( FILE *out, char *name,
     enum demCellLabel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_DTM_P3D_POSTER ( FILE *out, char *name,
     struct DTM_P3D_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_demCellState ( FILE *out, char *name,
     enum demCellState *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_demCellState ( FILE *out, char *name,
     demCellState *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DTM_P3D_POSTER ( FILE *out, char *name,
     DTM_P3D_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_demCellLabel ( FILE *out, char *name,
     demCellLabel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DTM_LABEL_POSTER ( FILE *out, char *name,
     DTM_LABEL_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmSlidingMode ( FILE *out, char *name,
     DtmSlidingMode *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmDestination ( FILE *out, char *name,
     DtmDestination *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmInitParams ( FILE *out, char *name,
     DtmInitParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmResetParams ( FILE *out, char *name,
     DtmResetParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmConnectParams ( FILE *out, char *name,
     DtmConnectParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmFileFormat ( FILE *out, char *name,
     DtmFileFormat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmSaveParams ( FILE *out, char *name,
     DtmSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmGeodesicOrigin ( FILE *out, char *name,
     DtmGeodesicOrigin *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmVideo ( FILE *out, char *name,
     DtmVideo *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmRefinement ( FILE *out, char *name,
     DtmRefinement *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmReferenceFrame ( FILE *out, char *name,
     DtmReferenceFrame *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmStrategyKind ( FILE *out, char *name,
     DtmStrategyKind *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmStrategy ( FILE *out, char *name,
     DtmStrategy *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmFusionParams ( FILE *out, char *name,
     DtmFusionParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmPosterParams ( FILE *out, char *name,
     DtmPosterParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DtmDisplayParams ( FILE *out, char *name,
     DtmDisplayParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DTM_STR ( FILE *out, char *name,
     DTM_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_DTM_P3DPOSTER_POSTER_STR ( FILE *out, char *name,
     DTM_P3DPOSTER_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* DTM_PRINT_XML_H */

