
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef DTM_SCAN_H
#define DTM_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/velodyneScan.h"

#include "server/stereopixelScan.h"

#include "server/genBasicScan.h"

#include "server/pomScan.h"


/* Structures du module */
#include "dtmPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_DTM_P3DPOSTER_POSTER_STR ( FILE *in, FILE *out,
       struct DTM_P3DPOSTER_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_DTM_STR ( FILE *in, FILE *out,
       struct DTM_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_DtmDisplayParams ( FILE *in, FILE *out,
       struct DtmDisplayParams *x, int indent, int nDim, int *dims );
extern int scan_struct_DtmP3dPosterParams ( FILE *in, FILE *out,
       struct DtmP3dPosterParams *x, int indent, int nDim, int *dims );
extern int scan_struct_DtmFusionParams ( FILE *in, FILE *out,
       struct DtmFusionParams *x, int indent, int nDim, int *dims );
extern int scan_struct_DtmStrategy ( FILE *in, FILE *out,
       struct DtmStrategy *x, int indent, int nDim, int *dims );
extern int scan_enum_DtmStrategyKind ( FILE *in, FILE *out,
       enum DtmStrategyKind *x, int indent, int nDim, int *dims );
extern int scan_enum_DtmReferenceFrame ( FILE *in, FILE *out,
       enum DtmReferenceFrame *x, int indent, int nDim, int *dims );
extern int scan_enum_DtmRefinement ( FILE *in, FILE *out,
       enum DtmRefinement *x, int indent, int nDim, int *dims );
extern int scan_enum_DtmVideo ( FILE *in, FILE *out,
       enum DtmVideo *x, int indent, int nDim, int *dims );
extern int scan_struct_DtmGeodesicOrigin ( FILE *in, FILE *out,
       struct DtmGeodesicOrigin *x, int indent, int nDim, int *dims );
extern int scan_struct_DtmSaveParams ( FILE *in, FILE *out,
       struct DtmSaveParams *x, int indent, int nDim, int *dims );
extern int scan_enum_DtmFileFormat ( FILE *in, FILE *out,
       enum DtmFileFormat *x, int indent, int nDim, int *dims );
extern int scan_struct_DtmConnectParams ( FILE *in, FILE *out,
       struct DtmConnectParams *x, int indent, int nDim, int *dims );
extern int scan_struct_DtmResetParams ( FILE *in, FILE *out,
       struct DtmResetParams *x, int indent, int nDim, int *dims );
extern int scan_struct_DtmInitParams ( FILE *in, FILE *out,
       struct DtmInitParams *x, int indent, int nDim, int *dims );
extern int scan_enum_DtmDestination ( FILE *in, FILE *out,
       enum DtmDestination *x, int indent, int nDim, int *dims );
extern int scan_enum_DtmSlidingMode ( FILE *in, FILE *out,
       enum DtmSlidingMode *x, int indent, int nDim, int *dims );
extern int scan_struct_DTM_LABEL_POSTER ( FILE *in, FILE *out,
       struct DTM_LABEL_POSTER *x, int indent, int nDim, int *dims );
extern int scan_enum_demCellLabel ( FILE *in, FILE *out,
       enum demCellLabel *x, int indent, int nDim, int *dims );
extern int scan_struct_DTM_P3D_POSTER ( FILE *in, FILE *out,
       struct DTM_P3D_POSTER *x, int indent, int nDim, int *dims );
extern int scan_enum_demCellState ( FILE *in, FILE *out,
       enum demCellState *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_demCellState ( FILE *in, FILE *out,
       demCellState *x, int indent, int nDim, int *dims );
extern int scan_DTM_P3D_POSTER ( FILE *in, FILE *out,
       DTM_P3D_POSTER *x, int indent, int nDim, int *dims );
extern int scan_demCellLabel ( FILE *in, FILE *out,
       demCellLabel *x, int indent, int nDim, int *dims );
extern int scan_DTM_LABEL_POSTER ( FILE *in, FILE *out,
       DTM_LABEL_POSTER *x, int indent, int nDim, int *dims );
extern int scan_DtmSlidingMode ( FILE *in, FILE *out,
       DtmSlidingMode *x, int indent, int nDim, int *dims );
extern int scan_DtmDestination ( FILE *in, FILE *out,
       DtmDestination *x, int indent, int nDim, int *dims );
extern int scan_DtmInitParams ( FILE *in, FILE *out,
       DtmInitParams *x, int indent, int nDim, int *dims );
extern int scan_DtmResetParams ( FILE *in, FILE *out,
       DtmResetParams *x, int indent, int nDim, int *dims );
extern int scan_DtmConnectParams ( FILE *in, FILE *out,
       DtmConnectParams *x, int indent, int nDim, int *dims );
extern int scan_DtmFileFormat ( FILE *in, FILE *out,
       DtmFileFormat *x, int indent, int nDim, int *dims );
extern int scan_DtmSaveParams ( FILE *in, FILE *out,
       DtmSaveParams *x, int indent, int nDim, int *dims );
extern int scan_DtmGeodesicOrigin ( FILE *in, FILE *out,
       DtmGeodesicOrigin *x, int indent, int nDim, int *dims );
extern int scan_DtmVideo ( FILE *in, FILE *out,
       DtmVideo *x, int indent, int nDim, int *dims );
extern int scan_DtmRefinement ( FILE *in, FILE *out,
       DtmRefinement *x, int indent, int nDim, int *dims );
extern int scan_DtmReferenceFrame ( FILE *in, FILE *out,
       DtmReferenceFrame *x, int indent, int nDim, int *dims );
extern int scan_DtmStrategyKind ( FILE *in, FILE *out,
       DtmStrategyKind *x, int indent, int nDim, int *dims );
extern int scan_DtmStrategy ( FILE *in, FILE *out,
       DtmStrategy *x, int indent, int nDim, int *dims );
extern int scan_DtmFusionParams ( FILE *in, FILE *out,
       DtmFusionParams *x, int indent, int nDim, int *dims );
extern int scan_DtmPosterParams ( FILE *in, FILE *out,
       DtmPosterParams *x, int indent, int nDim, int *dims );
extern int scan_DtmDisplayParams ( FILE *in, FILE *out,
       DtmDisplayParams *x, int indent, int nDim, int *dims );
extern int scan_DTM_STR ( FILE *in, FILE *out,
       DTM_STR *x, int indent, int nDim, int *dims );
extern int scan_DTM_P3DPOSTER_POSTER_STR ( FILE *in, FILE *out,
       DTM_P3DPOSTER_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* DTM_SCAN_H */

