/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef DTM_PRINT_H
#define DTM_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/velodyneTclservClientEncode.h"

#include "server/tclservClient/stereopixelTclservClientEncode.h"

#include "server/tclservClient/genBasicTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/dtmPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_DTM_P3DPOSTER_POSTER_STR ( buf_t buf, struct DTM_P3DPOSTER_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_DTM_STR ( buf_t buf, struct DTM_STR *x, int nDim, int *dims);
void buf_add_struct_DtmDisplayParams ( buf_t buf, struct DtmDisplayParams *x, int nDim, int *dims);
void buf_add_struct_DtmP3dPosterParams ( buf_t buf, struct DtmP3dPosterParams *x, int nDim, int *dims);
void buf_add_struct_DtmFusionParams ( buf_t buf, struct DtmFusionParams *x, int nDim, int *dims);
void buf_add_struct_DtmStrategy ( buf_t buf, struct DtmStrategy *x, int nDim, int *dims);
void buf_add_enum_DtmStrategyKind ( buf_t buf, enum DtmStrategyKind *x, int nDim, int *dims);
void buf_add_enum_DtmReferenceFrame ( buf_t buf, enum DtmReferenceFrame *x, int nDim, int *dims);
void buf_add_enum_DtmRefinement ( buf_t buf, enum DtmRefinement *x, int nDim, int *dims);
void buf_add_enum_DtmVideo ( buf_t buf, enum DtmVideo *x, int nDim, int *dims);
void buf_add_struct_DtmGeodesicOrigin ( buf_t buf, struct DtmGeodesicOrigin *x, int nDim, int *dims);
void buf_add_struct_DtmSaveParams ( buf_t buf, struct DtmSaveParams *x, int nDim, int *dims);
void buf_add_enum_DtmFileFormat ( buf_t buf, enum DtmFileFormat *x, int nDim, int *dims);
void buf_add_struct_DtmConnectParams ( buf_t buf, struct DtmConnectParams *x, int nDim, int *dims);
void buf_add_struct_DtmResetParams ( buf_t buf, struct DtmResetParams *x, int nDim, int *dims);
void buf_add_struct_DtmInitParams ( buf_t buf, struct DtmInitParams *x, int nDim, int *dims);
void buf_add_enum_DtmDestination ( buf_t buf, enum DtmDestination *x, int nDim, int *dims);
void buf_add_enum_DtmSlidingMode ( buf_t buf, enum DtmSlidingMode *x, int nDim, int *dims);
void buf_add_struct_DTM_LABEL_POSTER ( buf_t buf, struct DTM_LABEL_POSTER *x, int nDim, int *dims);
void buf_add_enum_demCellLabel ( buf_t buf, enum demCellLabel *x, int nDim, int *dims);
void buf_add_struct_DTM_P3D_POSTER ( buf_t buf, struct DTM_P3D_POSTER *x, int nDim, int *dims);
void buf_add_enum_demCellState ( buf_t buf, enum demCellState *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_demCellState ( buf_t buf, demCellState *x, int nDim, int *dims);
void buf_add_DTM_P3D_POSTER ( buf_t buf, DTM_P3D_POSTER *x, int nDim, int *dims);
void buf_add_demCellLabel ( buf_t buf, demCellLabel *x, int nDim, int *dims);
void buf_add_DTM_LABEL_POSTER ( buf_t buf, DTM_LABEL_POSTER *x, int nDim, int *dims);
void buf_add_DtmSlidingMode ( buf_t buf, DtmSlidingMode *x, int nDim, int *dims);
void buf_add_DtmDestination ( buf_t buf, DtmDestination *x, int nDim, int *dims);
void buf_add_DtmInitParams ( buf_t buf, DtmInitParams *x, int nDim, int *dims);
void buf_add_DtmResetParams ( buf_t buf, DtmResetParams *x, int nDim, int *dims);
void buf_add_DtmConnectParams ( buf_t buf, DtmConnectParams *x, int nDim, int *dims);
void buf_add_DtmFileFormat ( buf_t buf, DtmFileFormat *x, int nDim, int *dims);
void buf_add_DtmSaveParams ( buf_t buf, DtmSaveParams *x, int nDim, int *dims);
void buf_add_DtmGeodesicOrigin ( buf_t buf, DtmGeodesicOrigin *x, int nDim, int *dims);
void buf_add_DtmVideo ( buf_t buf, DtmVideo *x, int nDim, int *dims);
void buf_add_DtmRefinement ( buf_t buf, DtmRefinement *x, int nDim, int *dims);
void buf_add_DtmReferenceFrame ( buf_t buf, DtmReferenceFrame *x, int nDim, int *dims);
void buf_add_DtmStrategyKind ( buf_t buf, DtmStrategyKind *x, int nDim, int *dims);
void buf_add_DtmStrategy ( buf_t buf, DtmStrategy *x, int nDim, int *dims);
void buf_add_DtmFusionParams ( buf_t buf, DtmFusionParams *x, int nDim, int *dims);
void buf_add_DtmPosterParams ( buf_t buf, DtmPosterParams *x, int nDim, int *dims);
void buf_add_DtmDisplayParams ( buf_t buf, DtmDisplayParams *x, int nDim, int *dims);
void buf_add_DTM_STR ( buf_t buf, DTM_STR *x, int nDim, int *dims);
void buf_add_DTM_P3DPOSTER_POSTER_STR ( buf_t buf, DTM_P3DPOSTER_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* DTM_TCLSERV_CLIENT_ENCODE_H */

