
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] dtmInstall] >= 0 } {
    interp expose {} dtmInstall
}

proc ::dtmInstall { name } {
    foreach rqst { "GetInitParams" "Init" "Connect" "ReInit" "SetGeodesicOrigin" "GetGeodesicOrigin" "SetFusionParams" "GetFusionParams" "FuseDtm" "JumpDtm" "SetP3dPosterParams" "GetP3dPosterParams" "FillP3dPoster" "FillLabelPoster" "SetSaveParams" "GetSaveParams" "SaveInternalDtm" "SaveP3dPoster" "P3dPosterDtmP3dPosterPosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} dtm$rqst $name
    }
}

interp hide {} dtmInstall




# GetInitParams ----------------------------------------------------------

if { [lsearch [interp hidden] dtmGetInitParams] >= 0 } {
    interp expose {} dtmGetInitParams
}
if { [lsearch [interp hidden] dtmGetInitParamsFormatOutput] >= 0 } {
    interp expose {} dtmGetInitParamsFormatOutput
}

proc ::dtmGetInitParams { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetInitParams" \
	"Prints the characteristics of the internal DTM" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmGetInitParamsFormatOutput { list } {
    set format { {} status { } { initParams { } xScale { } yScale { } xNb { } yNb { } xOrigin { } yOrigin { } slidingMode { } destination } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmGetInitParams
interp hide {} dtmGetInitParamsFormatOutput





# Init ----------------------------------------------------------

if { [lsearch [interp hidden] dtmInit] >= 0 } {
    interp expose {} dtmInit
}
if { [lsearch [interp hidden] dtmInitFormatOutput] >= 0 } {
    interp expose {} dtmInitFormatOutput
}

proc ::dtmInit { name args } {
    set format {}
    lappend format [list float "Scale in X (meters)" 0.100000 ]
    lappend format [list float "Scale in Y (meters)" 0.100000 ]
    lappend format [list int "Number of pixels on X" 400 ]
    lappend format [list int "Number of pixels on Y" 400 ]
    lappend format [list float "Position X of the DTM origin (meters)" -10.000000 ]
    lappend format [list float "Position Y of the DTM origin (meters)" -10.000000 ]
    lappend format [list { "DTM_SLIDING_MODE" "DTM_FIXED_MODE" } "Sliding mode" "DTM_FIXED_MODE" ]
    lappend format [list { "DTM_FOR_ITINERARY_PLANNING" "DTM_FOR_PATH_PLANNING" } "Destination of the DTM" "DTM_FOR_PATH_PLANNING" ]

    return [ ::cs::rqstSend "${name}" "Init" \
	"Initializes the internal DTM" \
	"DtmInitParams\n| float xScale\n| float yScale\n| int xNb\n| int yNb\n| float xOrigin\n| float yOrigin\n| DtmSlidingMode slidingMode\n| DtmDestination destination\n" \
	8 \
	$format \
	$args ]
}


proc ::dtmInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmInit
interp hide {} dtmInitFormatOutput





# Connect ----------------------------------------------------------

if { [lsearch [interp hidden] dtmConnect] >= 0 } {
    interp expose {} dtmConnect
}
if { [lsearch [interp hidden] dtmConnectFormatOutput] >= 0 } {
    interp expose {} dtmConnectFormatOutput
}

proc ::dtmConnect { name args } {
    set format {}
    lappend format [list string "Name of the pom poster" "pomPos" ]
    lappend format [list int "Connect to stereopixel ?" 0 ]
    lappend format [list string "Name of the camera poster" "cameraImage0" ]
    lappend format [list string "Name of the stereopixel poster" "stereopixelThreeDImage" ]
    lappend format [list int "Connect to Velodyne ?" 0 ]
    lappend format [list string "Name of the Velodyne poster" "velodyneThreeDImage" ]
    lappend format [list int "Connect to Sick ?" 0 ]
    lappend format [list string "Name of the Sick poster" "Sick" ]
    lappend format [list int "Unused" 0 ]

    return [ ::cs::rqstSend "${name}" "Connect" \
	"Connects to a 3D data module" \
	"DtmConnectParams\n| char pomPoster\[128\]\n| int stereoConnection\n| char cameraPoster\[128\]\n| char stereoPoster\[128\]\n| int velodyneConnection\n| char velodynePoster\[128\]\n| int sickConnection\n| char sickPoster\[128\]\n| int unused\n" \
	9 \
	$format \
	$args ]
}


proc ::dtmConnectFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmConnect
interp hide {} dtmConnectFormatOutput





# ReInit ----------------------------------------------------------

if { [lsearch [interp hidden] dtmReInit] >= 0 } {
    interp expose {} dtmReInit
}
if { [lsearch [interp hidden] dtmReInitFormatOutput] >= 0 } {
    interp expose {} dtmReInitFormatOutput
}

proc ::dtmReInit { name args } {
    set format {}
    lappend format [list { "DTM_FOR_ITINERARY_PLANNING" "DTM_FOR_PATH_PLANNING" } "Destination of the DTM" "DTM_FOR_PATH_PLANNING" ]
    lappend format [list int "Unused" 0 ]

    return [ ::cs::rqstSend "${name}" "ReInit" \
	"Re-initializes the internal DTM" \
	"DtmResetParams\n| DtmDestination destination\n| int unused\n" \
	2 \
	$format \
	$args ]
}


proc ::dtmReInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmReInit
interp hide {} dtmReInitFormatOutput





# SetGeodesicOrigin ----------------------------------------------------------

if { [lsearch [interp hidden] dtmSetGeodesicOrigin] >= 0 } {
    interp expose {} dtmSetGeodesicOrigin
}
if { [lsearch [interp hidden] dtmSetGeodesicOriginFormatOutput] >= 0 } {
    interp expose {} dtmSetGeodesicOriginFormatOutput
}

proc ::dtmSetGeodesicOrigin { name args } {
    set format {}
    lappend format [list double "Easting" 0.000000 ]
    lappend format [list double "Northing" 0.000000 ]
    lappend format [list double "Altitude" 0.000000 ]

    return [ ::cs::rqstSend "${name}" "SetGeodesicOrigin" \
	"Sets dtm geodesic origin" \
	"DtmGeodesicOrigin\n| double easting\n| double northing\n| double altitude\n" \
	3 \
	$format \
	$args ]
}


proc ::dtmSetGeodesicOriginFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmSetGeodesicOrigin
interp hide {} dtmSetGeodesicOriginFormatOutput





# GetGeodesicOrigin ----------------------------------------------------------

if { [lsearch [interp hidden] dtmGetGeodesicOrigin] >= 0 } {
    interp expose {} dtmGetGeodesicOrigin
}
if { [lsearch [interp hidden] dtmGetGeodesicOriginFormatOutput] >= 0 } {
    interp expose {} dtmGetGeodesicOriginFormatOutput
}

proc ::dtmGetGeodesicOrigin { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetGeodesicOrigin" \
	"Prints the geodesic origin of the internal DTM" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmGetGeodesicOriginFormatOutput { list } {
    set format { {} status { } { geodesicOrigin { } easting { } northing { } altitude } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmGetGeodesicOrigin
interp hide {} dtmGetGeodesicOriginFormatOutput





# SetFusionParams ----------------------------------------------------------

if { [lsearch [interp hidden] dtmSetFusionParams] >= 0 } {
    interp expose {} dtmSetFusionParams
}
if { [lsearch [interp hidden] dtmSetFusionParamsFormatOutput] >= 0 } {
    interp expose {} dtmSetFusionParamsFormatOutput
}

proc ::dtmSetFusionParams { name args } {
    set format {}
    lappend format [list double "Max distance" 15.000000 ]
    lappend format [list { "DTM_NO_VIDEO" "DTM_USE_VIDEO" } "Fusion of video" "DTM_NO_VIDEO" ]
    lappend format [list { "DTM_NO_POSE_REFINEMENT" "DTM_USE_POSE_REFINEMENT" } "Pose Refinement ?" "DTM_NO_POSE_REFINEMENT" ]
    lappend format [list int "Sub-sample refinement rate" 5 ]
    lappend format [list { "DTM_REFERENCE_FRAME_ROBOT" "DTM_REFERENCE_FRAME_GLOBAL" } "Reference frame of the dtm" "DTM_REFERENCE_FRAME_GLOBAL" ]
    lappend format [list { "DTM_MEAN_TRESHOLD" "DTM_FIXED_TRESHOLD" } "Dtm strategy to detect vertical" "DTM_MEAN_TRESHOLD" ]
    lappend format [list double "Dtm treshold to detect vertical" 3.000000 ]

    return [ ::cs::rqstSend "${name}" "SetFusionParams" \
	"Sets dtm fusion params" \
	"DtmFusionParams\n| double maxDistance\n| DtmVideo video\n| DtmRefinement poseRefinement\n| int refinementRate\n| DtmReferenceFrame referenceFrame\n| DtmStrategy\n| | DtmStrategyKind kind\n| | double treshold\n" \
	7 \
	$format \
	$args ]
}


proc ::dtmSetFusionParamsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmSetFusionParams
interp hide {} dtmSetFusionParamsFormatOutput





# GetFusionParams ----------------------------------------------------------

if { [lsearch [interp hidden] dtmGetFusionParams] >= 0 } {
    interp expose {} dtmGetFusionParams
}
if { [lsearch [interp hidden] dtmGetFusionParamsFormatOutput] >= 0 } {
    interp expose {} dtmGetFusionParamsFormatOutput
}

proc ::dtmGetFusionParams { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetFusionParams" \
	"Prints the dtm fusion params" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmGetFusionParamsFormatOutput { list } {
    set format { {} status { } { fusionParams { } maxDistance { } video { } poseRefinement { } refinementRate { } referenceFrame { } { strategy { } kind { } treshold } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmGetFusionParams
interp hide {} dtmGetFusionParamsFormatOutput





# FuseDtm ----------------------------------------------------------

if { [lsearch [interp hidden] dtmFuseDtm] >= 0 } {
    interp expose {} dtmFuseDtm
}
if { [lsearch [interp hidden] dtmFuseDtmFormatOutput] >= 0 } {
    interp expose {} dtmFuseDtmFormatOutput
}

proc ::dtmFuseDtm { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "FuseDtm" \
	"Fuses an Im3d in the dtm" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmFuseDtmFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmFuseDtm
interp hide {} dtmFuseDtmFormatOutput





# JumpDtm ----------------------------------------------------------

if { [lsearch [interp hidden] dtmJumpDtm] >= 0 } {
    interp expose {} dtmJumpDtm
}
if { [lsearch [interp hidden] dtmJumpDtmFormatOutput] >= 0 } {
    interp expose {} dtmJumpDtmFormatOutput
}

proc ::dtmJumpDtm { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "JumpDtm" \
	"Account for a drastic change in the robot position" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmJumpDtmFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmJumpDtm
interp hide {} dtmJumpDtmFormatOutput





# SetP3dPosterParams ----------------------------------------------------------

if { [lsearch [interp hidden] dtmSetP3dPosterParams] >= 0 } {
    interp expose {} dtmSetP3dPosterParams
}
if { [lsearch [interp hidden] dtmSetP3dPosterParamsFormatOutput] >= 0 } {
    interp expose {} dtmSetP3dPosterParamsFormatOutput
}

proc ::dtmSetP3dPosterParams { name args } {
    set format {}
    lappend format [list int "Nb lines" 150 ]
    lappend format [list int "Nb Coloumns" 150 ]
    lappend format [list float "Scale in Z" 0.001000 ]
    lappend format [list float "Offset in Z" 10 ]

    return [ ::cs::rqstSend "${name}" "SetP3dPosterParams" \
	"Sets the params to produce the DTM_P3D_POSTER" \
	"DtmPosterParams\n| int nbLines\n| int nbCols\n| float zScale\n| float zOffset\n" \
	4 \
	$format \
	$args ]
}


proc ::dtmSetP3dPosterParamsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmSetP3dPosterParams
interp hide {} dtmSetP3dPosterParamsFormatOutput





# GetP3dPosterParams ----------------------------------------------------------

if { [lsearch [interp hidden] dtmGetP3dPosterParams] >= 0 } {
    interp expose {} dtmGetP3dPosterParams
}
if { [lsearch [interp hidden] dtmGetP3dPosterParamsFormatOutput] >= 0 } {
    interp expose {} dtmGetP3dPosterParamsFormatOutput
}

proc ::dtmGetP3dPosterParams { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetP3dPosterParams" \
	"Prints the params to produce the DTM_P3D_POSTER" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmGetP3dPosterParamsFormatOutput { list } {
    set format { {} status { } { p3dPosterParams { } nbLines { } nbCols { } zScale { } zOffset } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmGetP3dPosterParams
interp hide {} dtmGetP3dPosterParamsFormatOutput





# FillP3dPoster ----------------------------------------------------------

if { [lsearch [interp hidden] dtmFillP3dPoster] >= 0 } {
    interp expose {} dtmFillP3dPoster
}
if { [lsearch [interp hidden] dtmFillP3dPosterFormatOutput] >= 0 } {
    interp expose {} dtmFillP3dPosterFormatOutput
}

proc ::dtmFillP3dPoster { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "FillP3dPoster" \
	"Fills a dtm poster for P3D" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmFillP3dPosterFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmFillP3dPoster
interp hide {} dtmFillP3dPosterFormatOutput





# FillLabelPoster ----------------------------------------------------------

if { [lsearch [interp hidden] dtmFillLabelPoster] >= 0 } {
    interp expose {} dtmFillLabelPoster
}
if { [lsearch [interp hidden] dtmFillLabelPosterFormatOutput] >= 0 } {
    interp expose {} dtmFillLabelPosterFormatOutput
}

proc ::dtmFillLabelPoster { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "FillLabelPoster" \
	"Fills a dtm label poster" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmFillLabelPosterFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmFillLabelPoster
interp hide {} dtmFillLabelPosterFormatOutput





# SetSaveParams ----------------------------------------------------------

if { [lsearch [interp hidden] dtmSetSaveParams] >= 0 } {
    interp expose {} dtmSetSaveParams
}
if { [lsearch [interp hidden] dtmSetSaveParamsFormatOutput] >= 0 } {
    interp expose {} dtmSetSaveParamsFormatOutput
}

proc ::dtmSetSaveParams { name args } {
    set format {}
    lappend format [list string "basename" "/tmp/" ]
    lappend format [list int "Initial number" 0 ]
    lappend format [list { "DTM_BINARY" "DTM_ASCII" } "Save or not the inner local dtm" "DTM_ASCII" ]
    lappend format [list int "SaveDtm File Format" 0 ]

    return [ ::cs::rqstSend "${name}" "SetSaveParams" \
	"Sets dtm save params" \
	"DtmSaveParams\n| char baseName\[128\]\n| int num\n| DtmFileFormat fileFormat\n| int saveLocalDtm\n" \
	4 \
	$format \
	$args ]
}


proc ::dtmSetSaveParamsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmSetSaveParams
interp hide {} dtmSetSaveParamsFormatOutput





# GetSaveParams ----------------------------------------------------------

if { [lsearch [interp hidden] dtmGetSaveParams] >= 0 } {
    interp expose {} dtmGetSaveParams
}
if { [lsearch [interp hidden] dtmGetSaveParamsFormatOutput] >= 0 } {
    interp expose {} dtmGetSaveParamsFormatOutput
}

proc ::dtmGetSaveParams { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetSaveParams" \
	"Prints the dtm save params" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmGetSaveParamsFormatOutput { list } {
    set format { {} status { } { saveParams { } baseName { } num { } fileFormat { } saveLocalDtm } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmGetSaveParams
interp hide {} dtmGetSaveParamsFormatOutput





# SaveInternalDtm ----------------------------------------------------------

if { [lsearch [interp hidden] dtmSaveInternalDtm] >= 0 } {
    interp expose {} dtmSaveInternalDtm
}
if { [lsearch [interp hidden] dtmSaveInternalDtmFormatOutput] >= 0 } {
    interp expose {} dtmSaveInternalDtmFormatOutput
}

proc ::dtmSaveInternalDtm { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "SaveInternalDtm" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmSaveInternalDtmFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmSaveInternalDtm
interp hide {} dtmSaveInternalDtmFormatOutput





# SaveP3dPoster ----------------------------------------------------------

if { [lsearch [interp hidden] dtmSaveP3dPoster] >= 0 } {
    interp expose {} dtmSaveP3dPoster
}
if { [lsearch [interp hidden] dtmSaveP3dPosterFormatOutput] >= 0 } {
    interp expose {} dtmSaveP3dPosterFormatOutput
}

proc ::dtmSaveP3dPoster { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "SaveP3dPoster" \
	"Saves the DTM_P3D_POSTER" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::dtmSaveP3dPosterFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmSaveP3dPoster
interp hide {} dtmSaveP3dPosterFormatOutput





# P3dPosterDtmP3dPoster ----------------------------------------------------------

if { [lsearch [interp hidden] dtmP3dPosterDtmP3dPosterPosterRead] >= 0 } {
    interp expose {} dtmP3dPosterDtmP3dPosterPosterRead
}
if { [lsearch [interp hidden] dtmP3dPosterDtmP3dPosterPosterFormatOutput] >= 0 } {
    interp expose {} dtmP3dPosterDtmP3dPosterPosterFormatOutput
}

proc ::dtmP3dPosterDtmP3dPosterPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "P3dPosterDtmP3dPoster" \
	"DTM_P3D_POSTER\n| int nbLines\n| int nbCols\n| float xOrigin\n| float yOrigin\n| float xScale\n| float yScale\n| float zOrigin\n| float zScale\n| demCellState state\[200\]\[200\]\n| float zfloat\[200\]\[200\]\n" \
	$args ]
}


proc ::dtmP3dPosterDtmP3dPosterPosterFormatOutput { list } {
    set format { {} status { } { DtmP3dPoster { } nbLines { } nbCols { } xOrigin { } yOrigin { } xScale { } yScale { } zOrigin { } zScale { 200 200 } state { 200 200 } zfloat } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} dtmP3dPosterDtmP3dPosterPosterRead
interp hide {} dtmP3dPosterDtmP3dPosterPosterFormatOutput


